Index: src/canon/canonlib.c
===================================================================
--- src/canon/canonlib.c	(revision 54124)
+++ src/canon/canonlib.c	(working copy)
@@ -47,10 +47,10 @@
  */
 int dsdebug = 0;
 
-char *options = "P:p:Q:q:acd:g:hmn:s:t:vw:zAC:M:R:D:N:S:W:X:Y:U:V#:";
+const char *options = "P:p:Q:q:acd:g:hmn:s:t:vw:zAC:M:R:D:N:S:W:X:Y:U:V#:";
 
-char *progname = "(noname)";
-char scsi_device[1024] = "/dev/scsi/sc0d6l3";
+const char *progname = "(noname)";
+const char scsi_device[1024] = "/dev/scsi/sc0d6l3";
 char ipu_gamma = IPU_GAMMA_CG;
 int  ipu_filetype = IPU_RGB_FILE;
 int  ipu_bytes_per_pixel = 3;
@@ -77,13 +77,13 @@
 static int  len;
 char	*arg_v[MAX_ARGS];
 int	arg_c;
-char *print_queue = "canon";
+const char *print_queue = "canon";
 
 /*
  *	U S A G E --- tell user how to invoke this program, then exit
  */
 void usage(s)
-    char *s;
+    const char *s;
 {
     if (s) (void)fputs(s, stderr);
 
@@ -128,7 +128,7 @@
     while ((c=bu_getopt(ac, av, options)) != -1) {
 	/* slup off a printer queue name */
 	if (c == 'q' ||  c == 'p') {
-	    print_queue = bu_optarg;
+	    print_queue = (char *)bu_optarg;
 	    continue;
 	}
 
@@ -150,8 +150,8 @@
 	    case 'a'	: autosize = !autosize; break;
 	    case 'c'	: clear = !clear; break;
 	    case 'd'	: if (isprint((int)*bu_optarg)) {
-		memset(scsi_device, 0, sizeof(scsi_device));
-		bu_strlcpy(scsi_device, bu_optarg, sizeof(scsi_device));
+		memset((char *)scsi_device, 0, sizeof(scsi_device));
+		bu_strlcpy((char *)scsi_device, bu_optarg, sizeof(scsi_device));
 	    } else
 		usage("-d scsi_device_name\n");
 		break;
Index: src/irprep/ir-X.c
===================================================================
--- src/irprep/ir-X.c	(revision 54124)
+++ src/irprep/ir-X.c	(working copy)
@@ -96,8 +96,8 @@
     XRectangle rect[MAXARR];	/*  Array for drawing rectangles.  */
     char **a=(char **)NULL;	/*  Place holder for XSetStandard  */
 				/*  Properties.  */
-    char *winttl = "SEE";	/*  Window title.  */
-    char *quit = "QUIT";		/*  Exit label.  */
+    const char *winttl = "SEE";	/*  Window title.  */
+    const char *quit = "QUIT";		/*  Exit label.  */
     Font font;			/*  Structure for setting font.  */
 
     /*  Other variables.  */
Index: src/irprep/pictx.c
===================================================================
--- src/irprep/pictx.c	(revision 54124)
+++ src/irprep/pictx.c	(working copy)
@@ -41,7 +41,7 @@
 main(void)
 {
     int ichoice;			/*  Choice.  */
-    char *irX = "ir-X";		/*  Calls ir-X program.  */
+    const char *irX = "ir-X";		/*  Calls ir-X program.  */
     char showtherm[125];		/*  Calls showtherm program.  */
     char gfile[16];		/*  .g file.  */
     char group[26];		/*  Group names.  */
Index: src/irprep/irdisp.c
===================================================================
--- src/irprep/irdisp.c	(revision 54124)
+++ src/irprep/irdisp.c	(working copy)
@@ -42,7 +42,7 @@
 main(void)
 {
     int ichoice;		/*  Choice.  */
-    char *irX = "ir-X";		/*  Calls ir-X program.  */
+    const char *irX = "ir-X";		/*  Calls ir-X program.  */
     char showtherm[125];	/*  Calls showtherm program.  */
     char gfile[16];		/*  .g file.  */
     char group[26];		/*  Group names.  */
Index: src/conv/obj-g.c
===================================================================
--- src/conv/obj-g.c	(revision 54124)
+++ src/conv/obj-g.c	(working copy)
@@ -2942,7 +2942,7 @@
 			   gfi->obj_file_face_idx_arr[face_idx] + 1,
 			   bu_vls_addr(gfi->raw_grouping_name),
 			   gfi->grouping_index + 1);
-		    nmg_pr_fu_briefly(fu, "");
+		    nmg_pr_fu_briefly(fu, (char *)"");
 		}
 		(void)nmg_kfu(fu);
 		fu = (struct faceuse *)NULL;
Index: src/conv/g-obj.c
===================================================================
--- src/conv/g-obj.c	(revision 54124)
+++ src/conv/g-obj.c	(working copy)
@@ -131,7 +131,7 @@
 		ttol.rel = 0.0;
 		break;
 	    case 'o':		/* Output file name. */
-		output_file = bu_optarg;
+		output_file = (char *)bu_optarg;
 		break;
 	    case 'r':		/* Relative tolerance. */
 		ttol.rel = atof(bu_optarg);
@@ -156,7 +156,7 @@
 		NMG_debug = rt_g.NMG_debug;
 		break;
 	    case 'e':		/* Error file name. */
-		error_file = bu_optarg;
+		error_file = (char *)bu_optarg;
 		break;
 	    case 'i':
 		inches = 1;
Index: src/conv/dxf/bot-bldxf.c
===================================================================
--- src/conv/dxf/bot-bldxf.c	(revision 54124)
+++ src/conv/dxf/bot-bldxf.c	(working copy)
@@ -38,9 +38,9 @@
 
 
 /* declarations to support use of bu_getopt() */
-char *options = "d";
+const char *options = "d";
 
-char *progname = "(noname)";
+const char *progname = "(noname)";
 #define DEBUG_NAMES 1
 #define DEBUG_STATS 2
 #define DEBUG_ONLY_TRI 4
@@ -52,7 +52,7 @@
 /*
  *	U S A G E --- tell user how to invoke this program, then exit
  */
-void usage(char *s)
+void usage(const char *s)
 {
     if (s) (void)fputs(s, stderr);
 
Index: src/conv/dxf/dxf-g.c
===================================================================
--- src/conv/dxf/dxf-g.c	(revision 54124)
+++ src/conv/dxf/dxf-g.c	(working copy)
@@ -205,7 +205,7 @@
 #define MAX_LINE_SIZE	2050
 char line[MAX_LINE_SIZE];
 
-static char *usage="dxf-g [-c] [-d] [-v] [-t tolerance] [-s scale_factor] input_file.dxf output_file.g\n";
+static const char *usage="dxf-g [-c] [-d] [-v] [-t tolerance] [-s scale_factor] input_file.dxf output_file.g\n";
 
 static FILE *dxf;
 static struct rt_wdb *out_fp;
@@ -2285,7 +2285,7 @@
 	    MAT4X3PNT( tmp_pt, curr_state->xform, insertionPoint );
 	    VMOVE( insertionPoint, tmp_pt );
 
-	    drawMtext( (vls) ? bu_vls_addr(vls) : "NO_NAME", attachPoint, drawingDirection, textHeight, entityHeight,
+	    drawMtext( (vls) ? bu_vls_addr(vls) : (char *)"NO_NAME", attachPoint, drawingDirection, textHeight, entityHeight,
 		       charWidth, rectWidth, rotationAngle, insertionPoint );
 
 	    bu_vls_free(vls);
Index: src/conv/dxf/g-dxf.c
===================================================================
--- src/conv/dxf/g-dxf.c	(revision 54124)
+++ src/conv/dxf/g-dxf.c	(working copy)
@@ -429,7 +429,7 @@
 		ttol.rel = 0.0;
 		break;
 	    case 'o':		/* Output file name. */
-		output_file = bu_optarg;
+		output_file = (char *)bu_optarg;
 		break;
 	    case 'p':
 		polyface_mesh = 1;
Index: src/conv/3dm/3dm-g.cpp
===================================================================
--- src/conv/3dm/3dm-g.cpp	(revision 54124)
+++ src/conv/3dm/3dm-g.cpp	(working copy)
@@ -236,7 +236,7 @@
 	    case 's':	/* scale factor */
 		break;
 	    case 'o':	/* specify output file name */
-		outFileName = bu_optarg;
+		outFileName = (char *)bu_optarg;
 		break;
 	    case 'd':	/* debug */
 		break;
Index: src/conv/fast4-g.c
===================================================================
--- src/conv/fast4-g.c	(revision 54124)
+++ src/conv/fast4-g.c	(working copy)
@@ -2848,10 +2848,10 @@
 		break;
 	    case 'o':	/* output a plotfile of original FASTGEN4 elements */
 		f4_do_plot = 1;
-		plot_file = bu_optarg;
+		plot_file = (char *)bu_optarg;
 		break;
 	    case 'c':	/* convert only the specified components */
-		make_region_list(bu_optarg);
+		make_region_list((char *)bu_optarg);
 		break;
 	    case 'd':	/* debug option */
 		debug = 1;
@@ -2867,7 +2867,7 @@
 		sscanf(bu_optarg, "%x", (unsigned int *)&bu_debug);
 		break;
 	    case 'C':
-		color_file = bu_optarg;
+		color_file = (char *)bu_optarg;
 		break;
 	    default:
 		bu_log("Unrecognized option (%c)\n", c);
Index: src/conv/comgeom/region.c
===================================================================
--- src/conv/comgeom/region.c	(revision 54124)
+++ src/conv/comgeom/region.c	(working copy)
@@ -35,7 +35,7 @@
 #include "wdb.h"
 
 /* defined in read.c */
-extern int get_line(char *cp, int buflen, char *title);
+extern int get_line(char *cp, int buflen, const char *title);
 extern int getint(char *cp, int start, int len);
 extern void namecvt(int n, char **cp, int c);
 
@@ -57,7 +57,7 @@
 
 void	region_register(int reg_num, int id, int air, int mat, int los);
 void	group_init(void);
-void	group_register(char *name, int lo, int hi);
+void	group_register(const char *name, int lo, int hi);
 void	group_add(int val, char *name);
 void	group_write(void);
 
@@ -318,7 +318,7 @@
 }
 
 void
-group_register(char *name, int lo, int hi)
+group_register(const char *name, int lo, int hi)
 {
     char	nbuf[32];
     struct wmember	*wp;
Index: src/conv/comgeom/solid.c
===================================================================
--- src/conv/comgeom/solid.c	(revision 54124)
+++ src/conv/comgeom/solid.c	(working copy)
@@ -48,7 +48,7 @@
 
 
 /* defined in read.c */
-extern int get_line(char *cp, int buflen, char *title);
+extern int get_line(char *cp, int buflen, const char *title);
 extern int getint(char *cp, int start, int len);
 extern void namecvt(int n, char **cp, int c);
 
Index: src/conv/comgeom/read.c
===================================================================
--- src/conv/comgeom/read.c	(revision 54124)
+++ src/conv/comgeom/read.c	(working copy)
@@ -49,7 +49,7 @@
  *			G E T L I N E
  */
 int
-get_line(char *cp, int buflen, char *title)
+get_line(char *cp, int buflen, const char *title)
 {
     int	c;
     int	count = buflen;
Index: src/conv/comgeom/cvt.c
===================================================================
--- src/conv/comgeom/cvt.c	(revision 54124)
+++ src/conv/comgeom/cvt.c	(working copy)
@@ -47,7 +47,7 @@
 extern void group_write(void);
 
 /* defined in read.c */
-extern int get_line(char *cp, int buflen, char *title);
+extern int get_line(char *cp, int buflen, const char *title);
 
 /* defined in solid.c */
 extern void trim_trail_spaces(char *cp);
Index: src/conv/viewpoint-g.c
===================================================================
--- src/conv/viewpoint-g.c	(revision 54124)
+++ src/conv/viewpoint-g.c	(working copy)
@@ -60,8 +60,8 @@
 
 #define MAX_LINE_SIZE 256 /* max input line length from elements file */
 
-static char *tok_sep=" "; /* separator used in input files */
-static char *usage="viewpoint-g [-t tol] -c coord_file_name -e elements_file_name -o output_file_name";
+static const char *tok_sep=" "; /* separator used in input files */
+static const char *usage="viewpoint-g [-t tol] -c coord_file_name -e elements_file_name -o output_file_name";
 
 int
 main(int argc, char **argv)
@@ -69,7 +69,7 @@
     int c;
     FILE *coords, *elems;			/* input file pointers */
     struct rt_wdb *out_fp;			/* output file pointers */
-    char *output_file = "viewpoint.g";
+    const char *output_file = "viewpoint.g";
     char *base_name;				/* title and top level group name */
     char coords_name[MAX_LINE_SIZE] = {0};	/* input coordinates file name */
     char elems_name[MAX_LINE_SIZE] = {0};	/* input elements file name */
Index: src/conv/g-acad.c
===================================================================
--- src/conv/g-acad.c	(revision 54124)
+++ src/conv/g-acad.c	(working copy)
@@ -522,7 +522,7 @@
 		ttol.rel = 0.0;
 		break;
 	    case 'o':		/* Output file name. */
-		output_file = bu_optarg;
+		output_file = (char *)bu_optarg;
 		break;
 	    case 'r':		/* Relative tolerance. */
 		ttol.rel = atof(bu_optarg);
@@ -547,7 +547,7 @@
 		NMG_debug = rt_g.NMG_debug;
 		break;
 	    case 'e':		/* Error file name. */
-		error_file = bu_optarg;
+		error_file = (char *)bu_optarg;
 		break;
 	    case 'i':
 		inches = 1;
Index: src/conv/patch/rpatch.c
===================================================================
--- src/conv/patch/rpatch.c	(revision 54124)
+++ src/conv/patch/rpatch.c	(working copy)
@@ -46,7 +46,7 @@
 static int fast3;
 
 double
-get_ftn_float(char *str, unsigned int start_col, char *format)
+get_ftn_float(char *str, unsigned int start_col, const char *format)
 {
     char *ptr;
     char tmp_str[MAXLINELEN];
@@ -55,7 +55,7 @@
     int i;
 
     /* Check that format is legal for floating point or double */
-    ptr = format;
+    ptr = (char *)format;
     if ( *ptr != 'F' && *ptr != 'f' && *ptr != 'E' && *ptr != 'e' && *ptr != 'D' && *ptr != 'd' )
     {
 	fprintf( stderr, "Get_ftn_float( str=%s\n, start_col=%d, format=%s )\n",
@@ -131,7 +131,7 @@
 }
 
 int
-get_ftn_int(char *str, unsigned int start_col, char *format)
+get_ftn_int(char *str, unsigned int start_col, const char *format)
 {
     char *ptr;
     char tmp_str[MAXLINELEN];
@@ -140,7 +140,7 @@
     int i;
 
     /* check that format id for an integer */
-    ptr = format;
+    ptr = (char *)format;
     if ( *ptr != 'I' && *ptr != 'i' )
     {
 	fprintf( stderr, "Get_ftn_int( str=%s\n, start_col=%d, format=%s )\n",
Index: src/conv/patch/patch-g.c
===================================================================
--- src/conv/patch/patch-g.c	(revision 54124)
+++ src/conv/patch/patch-g.c	(working copy)
@@ -3453,17 +3453,17 @@
 
 	    case 'f':  /* fastgen source file data */
 
-		patchfile = bu_optarg;
+		patchfile = (char *)bu_optarg;
 		break;
 
 	    case 'i':  /* group labels source file */
 
-		labelfile = bu_optarg;
+		labelfile = (char *)bu_optarg;
 		break;
 
 	    case 'm':  /* materials information file */
 
-		matfile = bu_optarg;
+		matfile = (char *)bu_optarg;
 		break;
 
 	    case 'a':  /* process phantom armor ? */
@@ -3487,12 +3487,12 @@
 
 	    case 't':  /* optional title for the database */
 
-		title = bu_optarg;
+		title = (char *)bu_optarg;
 		break;
 
 	    case 'o':  /* optional top-level object name */
 
-		top_level = bu_optarg;
+		top_level = (char *)bu_optarg;
 		break;
 
 	    case 'r':  /* reverse normals for plate mode triangles */
@@ -3553,7 +3553,7 @@
 	}
     } else {
 	fd = 0;		/* stdin */
-	patchfile = "stdin";
+	patchfile = (char *)"stdin";
     }
 
     if (labelfile != (char *)0) {
Index: src/conv/patch/patch-g.h
===================================================================
--- src/conv/patch/patch-g.h	(revision 54124)
+++ src/conv/patch/patch-g.h	(working copy)
@@ -94,8 +94,8 @@
 int nflg = 1;
 int aflg = 1;		/* use phantom armor */
 int num_unions = 5;	/* number of unions per region */
-char *title = "Untitled MGED database";	/* database title */
-char *top_level = "all"; /* top-level node name in the database */
+const char *title = "Untitled MGED database";	/* database title */
+const char *top_level = "all"; /* top-level node name in the database */
 int rev_norms = 0;	/* reverse normals for plate mode triangles */
 int polysolid = 0;	/* convert triangle-facetted objects to polysolids */
 int arb6 = 0;		/* flag: convert plate-mode objects to arb6s */
Index: src/conv/stl/g-stl.c
===================================================================
--- src/conv/stl/g-stl.c	(revision 54124)
+++ src/conv/stl/g-stl.c	(working copy)
@@ -359,10 +359,10 @@
 		use_mc = 1;
 		break;
 	    case 'o':		/* Output file name. */
-		output_file = bu_optarg;
+		output_file = (char *)bu_optarg;
 		break;
 	    case 'm':
-		output_directory = bu_optarg;
+		output_directory = (char *)bu_optarg;
 		break;
 	    case 'r':		/* Relative tolerance. */
 		ttol.rel = atof(bu_optarg);
Index: src/conv/stl/stl-g.c
===================================================================
--- src/conv/stl/stl-g.c	(revision 54124)
+++ src/conv/stl/stl-g.c	(working copy)
@@ -611,7 +611,7 @@
 		    bu_log("Converting units from %s to mm (conversion factor is %g)\n", bu_optarg, conv_factor);
 		break;
 	    case 'N':	/* force a name on this object */
-		forced_name = bu_optarg;
+		forced_name = (char *)bu_optarg;
 		break;
 	    case 'i':
 		id_no = atoi(bu_optarg);
Index: src/conv/euclid/euclid-g.c
===================================================================
--- src/conv/euclid/euclid-g.c	(revision 54124)
+++ src/conv/euclid/euclid-g.c	(working copy)
@@ -116,7 +116,7 @@
 		bu_log( "Found a crack:\n" );
 	    else if ( found ==2 )
 		bu_log( "Found a zero length edge:\n" );
-	    nmg_pr_fu_briefly( fu, "" );
+	    nmg_pr_fu_briefly( fu, (char *)"" );
 	}
     }
 }
@@ -136,7 +136,7 @@
 
     fpin = stdin;
     efile = NULL;
-    bfile = "euclid.g";
+    bfile = (char *)"euclid.g";
     polysolids = 1;
     debug = 0;
 
@@ -158,7 +158,7 @@
 		debug = 1;
 		break;
 	    case 'i':
-		efile = bu_optarg;
+		efile = (char *)bu_optarg;
 		if ((fpin = fopen(efile, "rb")) == NULL)
 		{
 		    perror( argv[0] );
@@ -167,7 +167,7 @@
 		}
 		break;
 	    case 'o':
-		bfile = bu_optarg;
+		bfile = (char *)bu_optarg;
 		break;
 	    case 'n':
 		polysolids = 0;
@@ -592,7 +592,7 @@
 	if ( nmg_calc_face_g( outfaceuses[i] ) )
 	{
 	    bu_log( "nmg_calc_face_g failed\n" );
-	    nmg_pr_fu_briefly( outfaceuses[i], "" );
+	    nmg_pr_fu_briefly( outfaceuses[i], (char *)"" );
 	}
     }
 
Index: src/conv/euclid/g-euclid.c
===================================================================
--- src/conv/euclid/g-euclid.c	(revision 54124)
+++ src/conv/euclid/g-euclid.c	(working copy)
@@ -530,7 +530,7 @@
 		ttol.rel = 0.0;
 		break;
 	    case 'o':		/* Output file name */
-		out_file = bu_optarg;
+		out_file = (char *)bu_optarg;
 		break;
 	    case 'r':		/* Relative tolerance. */
 		ttol.rel = atof(bu_optarg);
Index: src/conv/asc/asc2g.c
===================================================================
--- src/conv/asc/asc2g.c	(revision 54124)
+++ src/conv/asc/asc2g.c	(working copy)
@@ -68,8 +68,8 @@
 static int ars_pt = 0;
 static char *ars_name = NULL;
 static fastf_t **ars_curves = NULL;
-static char *slave_name = "safe_interp";
-static char *db_name = "_db";
+static const char *slave_name = "safe_interp";
+static const char *db_name = "_db";
 
 static int linecnt = 0;
 static char usage[] = "\
@@ -77,7 +77,7 @@
  Convert an ASCII BRL-CAD database to binary form\n\
 ";
 
-char *aliases[] = {
+const char *aliases[] = {
     "attr",
     "color",
     "put",
Index: src/conv/asc/g2asc.c
===================================================================
--- src/conv/asc/g2asc.c	(revision 54124)
+++ src/conv/asc/g2asc.c	(working copy)
@@ -64,7 +64,7 @@
 
 FILE	*ifp;
 FILE	*ofp;
-char	*iname = "-";
+char	*iname = (char *)"-";
 
 static char *tclified_name=NULL;
 static size_t tclified_name_buffer_len=0;
@@ -120,7 +120,7 @@
     setmode(fileno(stderr), O_BINARY);
 #endif
 
-    iname = "-";
+    iname = (char *)"-";
     ifp = stdin;
     ofp = stdout;
 
@@ -443,7 +443,7 @@
 	/* Null input name */
 	fprintf(stderr,
 		      "g2asc:  NULL object name converted to -=NULL=-\n");
-	return "-=NULL=-";
+	return (char *)"-=NULL=-";
     }
     return buf;
 }
@@ -1177,7 +1177,7 @@
 	/* Null input name */
 	fprintf(stderr,
 		      "g2asc:  NULL string converted to -=STRING=-\n");
-	return "-=STRING=-";
+	return (char *)"-=STRING=-";
     }
     return buf;
 }
Index: src/conv/g-egg.c
===================================================================
--- src/conv/g-egg.c	(revision 54124)
+++ src/conv/g-egg.c	(working copy)
@@ -232,7 +232,7 @@
 		ttol.rel = 0.0;
 		break;
 	    case 'o':		/* Output file name. */
-		output_file = bu_optarg;
+		output_file = (char *)bu_optarg;
 		break;
 	    case 'r':		/* Relative tolerance. */
 		ttol.rel = atof(bu_optarg);
Index: src/conv/g-shell-rect.c
===================================================================
--- src/conv/g-shell-rect.c	(revision 54124)
+++ src/conv/g-shell-rect.c	(working copy)
@@ -97,7 +97,7 @@
 static struct xray *yz_rays;
 static struct rt_i *rtip;
 static struct bn_tol tol;
-static char *usage="Usage:\n\
+static const char *usage="Usage:\n\
 	%s [-d debug_level] [-b] [-n] [-v] [-i initial_ray_dir] [-g cell_size] [-d debug_level] -o brlcad_output_file database.g object1 object2...\n";
 static char dir_ch[3]={ 'X', 'Y', 'Z' };
 
@@ -117,7 +117,7 @@
 static char	*plotfile;
 static short	vert_ids[8]={1, 2, 4, 8, 16, 32, 64, 128};
 static int	debug=0;
-static char	*token_seps=" \t,;\n";
+static const char	*token_seps=" \t,;\n";
 static int	cur_dir=0;
 static int	cell_count[3];
 static fastf_t	decimation_tol=0.0;
@@ -771,7 +771,7 @@
 
 	if (count != 4) {
 	    bu_log("Found a loop with %d edge! (should be 3 or 4)\n", count);
-	    nmg_pr_fu_briefly(fu, "");
+	    nmg_pr_fu_briefly(fu, (char *)"");
 	    continue;
 	}
 
@@ -818,7 +818,7 @@
 
 	if (!eu1 || !eu2) {
 	    bu_log("Could not find edges to split in loop:\n");
-	    nmg_pr_fu_briefly(fu, "");
+	    nmg_pr_fu_briefly(fu, (char *)"");
 	    continue;
 	}
 
@@ -1688,10 +1688,10 @@
 		struct refine_rpp *rpp;
 		int bad_opt = 0;
 
-		ptr = bu_optarg;
+		ptr = (char *)bu_optarg;
 
 		rpp = (struct refine_rpp *)bu_malloc(sizeof(struct refine_rpp), "add refine rpp");
-		ptr = strtok(bu_optarg, token_seps);
+		ptr = strtok((char *)bu_optarg, token_seps);
 		if (!ptr) {
 		    bu_log("Bad -a option '%s'\n", bu_optarg);
 		    bu_free((char *)rpp, "rpp");
@@ -1746,7 +1746,7 @@
 		edge_tol = atof(bu_optarg);
 		break;
 	    case 'p':	/* plot edge breaking */
-		plotfile = bu_optarg;
+		plotfile = (char *)bu_optarg;
 		break;
 	    case 'd':	/* debug level */
 		debug = atoi(bu_optarg);
@@ -1756,7 +1756,7 @@
 		cell_size_sq = cell_size * cell_size;
 		break;
 	    case 'o':	/* BRL-CAD output file */
-		output_file = bu_optarg;
+		output_file = (char *)bu_optarg;
 		break;
 	    case 'b':	/* Output a BOT rather than an NMG */
 		bot = 1;
Index: src/conv/ply-g.c
===================================================================
--- src/conv/ply-g.c	(revision 54124)
+++ src/conv/ply-g.c	(working copy)
@@ -49,7 +49,7 @@
 static int verbose=0;
 static int endianness;
 
-static char *usage="Usage:\n\tply-g [-s scale_factor] [-d] [-v] input_file.ply output_file.g";
+static const char *usage="Usage:\n\tply-g [-s scale_factor] [-d] [-v] input_file.ply output_file.g";
 
 #define MAX_LINE_SIZE		512
 
@@ -68,7 +68,7 @@
 #define TYPE_FLOAT	6
 #define TYPE_DOUBLE	7
 
-static char *types[]={
+static const char *types[]={
     "char",
     "uchar",
     "short",
@@ -79,7 +79,7 @@
     "double",
     NULL };
 
-static char *types2[]={
+static const char *types2[]={
     "int8",
     "uint8",
     "int16",
Index: src/conv/proe-g.c
===================================================================
--- src/conv/proe-g.c	(revision 54124)
+++ src/conv/proe-g.c	(working copy)
@@ -1079,7 +1079,7 @@
 		}
 		break;
 	    case 'N':	/* force a name on this object */
-		forced_name = bu_optarg;
+		forced_name = (char *)bu_optarg;
 		break;
 
 	    case 'S':	/* raw stl_format format */
Index: src/conv/nmg/asc-nmg.c
===================================================================
--- src/conv/nmg/asc-nmg.c	(revision 54124)
+++ src/conv/nmg/asc-nmg.c	(working copy)
@@ -53,7 +53,7 @@
 int
 main(int argc, char **argv)
 {
-    char		*afile, *bfile = "nmg.g";
+    char		*afile, *bfile = (char *)"nmg.g";
     FILE		*fpin;
     struct rt_wdb	*fpout;
 
@@ -61,7 +61,7 @@
 
     /* Get ascii NMG input file name. */
     if (bu_optind >= argc) {
-	afile = "-";
+	afile = (char *)"-";
 	fpin = stdin;
 #if defined(_WIN32) && !defined(__CYGWIN__)
 	setmode(fileno(fpin), O_BINARY);
@@ -80,7 +80,7 @@
     /* Get BRL-CAD output data base name. */
     bu_optind++;
     if (bu_optind >= argc) {
-	bfile = "nmg.g";
+	bfile = (char *)"nmg.g";
     } else {
 	bfile = argv[bu_optind];
     }
@@ -90,7 +90,7 @@
 	bu_exit(1, NULL);
     }
 
-    ascii_to_brlcad(fpin, fpout, "nmg", NULL);
+    ascii_to_brlcad(fpin, fpout, (char *)"nmg", NULL);
     fclose(fpin);
     wdb_close(fpout);
     return 0;
Index: src/conv/nmg/g-nmg.c
===================================================================
--- src/conv/nmg/g-nmg.c	(revision 54124)
+++ src/conv/nmg/g-nmg.c	(working copy)
@@ -46,15 +46,15 @@
 
 extern union tree *do_region_end(struct db_tree_state *tsp, const struct db_full_path *pathp, union tree *curtree, genptr_t client_data);
 
-static char	usage[] = "Usage: %s [-v] [-b] [-xX lvl] [-a abs_tol] [-r rel_tol] [-t dist_tol] [-n norm_tol] [-o out_file] brlcad_db.g object(s)\n";
+static const char	usage[] = "Usage: %s [-v] [-b] [-xX lvl] [-a abs_tol] [-r rel_tol] [-t dist_tol] [-n norm_tol] [-o out_file] brlcad_db.g object(s)\n";
 
-static char	*tok_sep = " \t";
+static const char	*tok_sep = " \t";
 static int	NMG_debug;		/* saved arg of -X, for longjmp handling */
 static int	verbose;
 static int	do_bots=0;		/* flag to output BOT's instead of NMG's */
 /* static int	ncpu = 1; */		/* Number of processors */
 static int	nmg_count=0;		/* Count of nmgregions written to output */
-static char	*out_file = "nmg.g";	/* Output filename */
+static const char	*out_file = "nmg.g";	/* Output filename */
 static struct rt_wdb		*fp_out; /* Output file pointer */
 static struct db_i		*dbip;
 static struct rt_tess_tol	ttol;
@@ -467,7 +467,7 @@
 		ttol.rel = 0.0;
 		break;
 	    case 'o':		/* Output file name */
-		out_file = bu_optarg;
+		out_file = (char *)bu_optarg;
 		break;
 	    case 'r':		/* Relative tolerance. */
 		ttol.rel = atof(bu_optarg);
Index: src/conv/nmg/nmg-sgp.c
===================================================================
--- src/conv/nmg/nmg-sgp.c	(revision 54124)
+++ src/conv/nmg/nmg-sgp.c	(working copy)
@@ -144,7 +144,7 @@
 		debug++;
 		break;
 	    case 'o':		/* Output file name */
-		out_file = bu_optarg;
+		out_file = (char *)bu_optarg;
 		break;
 	    case 's':		/* edge length statistics */
 		stats = 1;
Index: src/conv/nmg/nmg-rib.c
===================================================================
--- src/conv/nmg/nmg-rib.c	(revision 54124)
+++ src/conv/nmg/nmg-rib.c	(working copy)
@@ -37,15 +37,15 @@
 
 
 /* declarations to support use of bu_getopt() system call */
-char *options = "ht";
+const char *options = "ht";
 
-char *progname = "(noname)";
+const char *progname = "(noname)";
 int triangulate = 0;
 
 /*
  *	U S A G E --- tell user how to invoke this program, then exit
  */
-void usage(char *s)
+void usage(const char *s)
 {
     if (s) {
 	bu_log(s);
Index: src/conv/g-vrml.c
===================================================================
--- src/conv/g-vrml.c	(revision 54124)
+++ src/conv/g-vrml.c	(working copy)
@@ -95,7 +95,7 @@
 
 static const char usage[] = "Usage: %s [-b] [-e] [-v] [-xX lvl] [-d tolerance_distance (mm) ] [-a abs_tol (mm)] [-r rel_tol] [-n norm_tol] [-o out_file] [-u units] brlcad_db.g object(s)\n";
 
-static char *tok_sep = " \t";
+static const char *tok_sep = " \t";
 static int NMG_debug; /* saved arg of -X, for longjmp handling */
 static int verbose = 0;
 static char *out_file = (char *)NULL; /* Output filename */
@@ -638,7 +638,7 @@
 		ttol.rel = 0.0;
 		break;
 	    case 'o':		/* Output file name */
-		out_file = bu_optarg;
+		out_file = (char *)bu_optarg;
 		break;
 	    case 'r':		/* Relative tolerance. */
 		ttol.rel = atof(bu_optarg);
@@ -672,7 +672,7 @@
     }
 
     if (!units) {
-	units = "mm";
+	units = (char *)"mm";
     }
 
     if ((bot_dump == 1) && (eval_all == 1)) {
Index: src/conv/iges/conv_drawings.c
===================================================================
--- src/conv/iges/conv_drawings.c	(revision 54124)
+++ src/conv/iges/conv_drawings.c	(working copy)
@@ -35,7 +35,7 @@
 };
 
 
-static char *default_drawing_name = "iges_drawing";
+static const char *default_drawing_name = "iges_drawing";
 
 struct bu_list free_hd;
 
Index: src/conv/iges/add_inner_shell.c
===================================================================
--- src/conv/iges/add_inner_shell.c	(revision 54124)
+++ src/conv/iges/add_inner_shell.c	(working copy)
@@ -43,16 +43,16 @@
     }
 
     Readrec(dir[entityno]->param);
-    Readint(&sol_num, "");
-    Readint(&no_of_faces, "");
+    Readint(&sol_num, (char *)"");
+    Readint(&no_of_faces, (char *)"");
 
     face_de = (int *)bu_calloc(no_of_faces, sizeof(int), "Add_inner_shell face DE's");
     face_orient = (int *)bu_calloc(no_of_faces, sizeof(int), "Add_inner_shell orients");
     fu = (struct faceuse **)bu_calloc(no_of_faces, sizeof(struct faceuse *), "Get_outer_shell faceuses ");
 
     for (face = 0; face < no_of_faces; face++) {
-	Readint(&face_de[face], "");
-	Readint(&face_orient[face], "");
+	Readint(&face_de[face], (char *)"");
+	Readint(&face_orient[face], (char *)"");
     }
 
     s = nmg_msv(r);
Index: src/conv/iges/trimsurf.c
===================================================================
--- src/conv/iges/trimsurf.c	(revision 54124)
+++ src/conv/iges/trimsurf.c	(working copy)
@@ -1446,7 +1446,7 @@
 	BU_LIST_INIT(&hit_list);
 	if (Find_pt_in_fu(fu, mid_pt, ray_dir)) {
 	    bu_log("Convtrimsurfs: Cannot find a point in fu (%p)\n", fu);
-	    nmg_pr_fu(fu, " ");
+	    nmg_pr_fu(fu, (char *)" ");
 	    bu_exit(1, "Convtrimsurfs: Cannot find a point in fu\n");
 	}
 
Index: src/conv/iges/readname.c
===================================================================
--- src/conv/iges/readname.c	(revision 54124)
+++ src/conv/iges/readname.c	(working copy)
@@ -34,7 +34,7 @@
 #include "./iges_extern.h"
 
 void
-Readname(char **ptr, char *id)
+Readname(char **ptr, const char *id)
 {
     int i = (-1), length = 0, done = 0, lencard;
     char num[80], *ch;
Index: src/conv/iges/readcnv.c
===================================================================
--- src/conv/iges/readcnv.c	(revision 54124)
+++ src/conv/iges/readcnv.c	(working copy)
@@ -36,7 +36,7 @@
 
 void
 Readcnv(inum, id)
-    char *id;
+    const char *id;
     fastf_t *inum;
 {
     int i = (-1), done = 0, lencard;
Index: src/conv/iges/readint.c
===================================================================
--- src/conv/iges/readint.c	(revision 54124)
+++ src/conv/iges/readint.c	(working copy)
@@ -34,7 +34,7 @@
 #include "./iges_extern.h"
 
 void
-Readint(int *inum, char *id)
+Readint(int *inum, const char *id)
 {
     int i = (-1), done = 0, lencard;
     char num[80];
Index: src/conv/iges/readstrg.c
===================================================================
--- src/conv/iges/readstrg.c	(revision 54124)
+++ src/conv/iges/readstrg.c	(working copy)
@@ -35,7 +35,7 @@
 #include "./iges_extern.h"
 
 void
-Readstrg(char *id)
+Readstrg(const char *id)
 {
     int i = (-1), length = 0, done = 0, lencard;
     char num[80];
Index: src/conv/iges/g-iges.c
===================================================================
--- src/conv/iges/g-iges.c	(revision 54124)
+++ src/conv/iges/g-iges.c	(working copy)
@@ -270,7 +270,7 @@
 		NMG_debug = rt_g.NMG_debug;
 		break;
 	    case 'o':		/* Output file name. */
-		output_file = bu_optarg;
+		output_file = (char *)bu_optarg;
 		break;
 	    case 'P':
 		ncpu = atoi(bu_optarg);
Index: src/conv/iges/iges_types.c
===================================================================
--- src/conv/iges/iges_types.c	(revision 54124)
+++ src/conv/iges/iges_types.c	(working copy)
@@ -34,7 +34,7 @@
 	}
     }
 
-    return typecount[type_no].name;
+    return (char *)typecount[type_no].name;
 }
 
 
Index: src/conv/iges/iges.c
===================================================================
--- src/conv/iges/iges.c	(revision 54124)
+++ src/conv/iges/iges.c	(working copy)
@@ -124,7 +124,7 @@
 };
 
 
-static char *type_label[NO_OF_TYPES] = {
+static const char *type_label[NO_OF_TYPES] = {
     "CopiusDa",
     "Line",
     "Point",
@@ -159,7 +159,7 @@
 };
 
 
-static char *type_name[NO_OF_TYPES] = {
+static const char *type_name[NO_OF_TYPES] = {
     "Copious Data",
     "Line",
     "Point",
